<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for TemperatureObject StructType
 * @subpackage Structs
 */
class TemperatureObject extends AbstractStructBase
{
    /**
     * The ReturnAir1
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\GenericBaseItem
     */
    public $ReturnAir1;
    /**
     * The ReturnAir2
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\GenericBaseItem
     */
    public $ReturnAir2;
    /**
     * The ReturnAir3
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\GenericBaseItem
     */
    public $ReturnAir3;
    /**
     * The ReturnAir4
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\GenericBaseItem
     */
    public $ReturnAir4;
    /**
     * The SetPoint1
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\GenericBaseItem
     */
    public $SetPoint1;
    /**
     * The SetPoint2
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\GenericBaseItem
     */
    public $SetPoint2;
    /**
     * The SetPoint3
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\GenericBaseItem
     */
    public $SetPoint3;
    /**
     * The SetPoint4
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\GenericBaseItem
     */
    public $SetPoint4;
    /**
     * The SupplyAir1
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\GenericBaseItem
     */
    public $SupplyAir1;
    /**
     * The SupplyAir2
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\GenericBaseItem
     */
    public $SupplyAir2;
    /**
     * The SupplyAir3
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\GenericBaseItem
     */
    public $SupplyAir3;
    /**
     * The SupplyAir4
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\GenericBaseItem
     */
    public $SupplyAir4;
    /**
     * The Sensor1
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\GenericBaseItem
     */
    public $Sensor1;
    /**
     * The Sensor2
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\GenericBaseItem
     */
    public $Sensor2;
    /**
     * The Sensor3
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\GenericBaseItem
     */
    public $Sensor3;
    /**
     * The Sensor4
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\GenericBaseItem
     */
    public $Sensor4;
    /**
     * The Sensor5
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\GenericBaseItem
     */
    public $Sensor5;
    /**
     * The Sensor6
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\GenericBaseItem
     */
    public $Sensor6;
    /**
     * The AmbientSensor
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\GenericBaseItem
     */
    public $AmbientSensor;
    /**
     * The Evaporator1
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\GenericBaseItem
     */
    public $Evaporator1;
    /**
     * The Evaporator2
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\GenericBaseItem
     */
    public $Evaporator2;
    /**
     * The Evaporator3
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\GenericBaseItem
     */
    public $Evaporator3;
    /**
     * The Evaporator4
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\GenericBaseItem
     */
    public $Evaporator4;
    /**
     * Constructor method for TemperatureObject
     * @uses TemperatureObject::setReturnAir1()
     * @uses TemperatureObject::setReturnAir2()
     * @uses TemperatureObject::setReturnAir3()
     * @uses TemperatureObject::setReturnAir4()
     * @uses TemperatureObject::setSetPoint1()
     * @uses TemperatureObject::setSetPoint2()
     * @uses TemperatureObject::setSetPoint3()
     * @uses TemperatureObject::setSetPoint4()
     * @uses TemperatureObject::setSupplyAir1()
     * @uses TemperatureObject::setSupplyAir2()
     * @uses TemperatureObject::setSupplyAir3()
     * @uses TemperatureObject::setSupplyAir4()
     * @uses TemperatureObject::setSensor1()
     * @uses TemperatureObject::setSensor2()
     * @uses TemperatureObject::setSensor3()
     * @uses TemperatureObject::setSensor4()
     * @uses TemperatureObject::setSensor5()
     * @uses TemperatureObject::setSensor6()
     * @uses TemperatureObject::setAmbientSensor()
     * @uses TemperatureObject::setEvaporator1()
     * @uses TemperatureObject::setEvaporator2()
     * @uses TemperatureObject::setEvaporator3()
     * @uses TemperatureObject::setEvaporator4()
     * @param \StructType\GenericBaseItem $returnAir1
     * @param \StructType\GenericBaseItem $returnAir2
     * @param \StructType\GenericBaseItem $returnAir3
     * @param \StructType\GenericBaseItem $returnAir4
     * @param \StructType\GenericBaseItem $setPoint1
     * @param \StructType\GenericBaseItem $setPoint2
     * @param \StructType\GenericBaseItem $setPoint3
     * @param \StructType\GenericBaseItem $setPoint4
     * @param \StructType\GenericBaseItem $supplyAir1
     * @param \StructType\GenericBaseItem $supplyAir2
     * @param \StructType\GenericBaseItem $supplyAir3
     * @param \StructType\GenericBaseItem $supplyAir4
     * @param \StructType\GenericBaseItem $sensor1
     * @param \StructType\GenericBaseItem $sensor2
     * @param \StructType\GenericBaseItem $sensor3
     * @param \StructType\GenericBaseItem $sensor4
     * @param \StructType\GenericBaseItem $sensor5
     * @param \StructType\GenericBaseItem $sensor6
     * @param \StructType\GenericBaseItem $ambientSensor
     * @param \StructType\GenericBaseItem $evaporator1
     * @param \StructType\GenericBaseItem $evaporator2
     * @param \StructType\GenericBaseItem $evaporator3
     * @param \StructType\GenericBaseItem $evaporator4
     */
    public function __construct(\StructType\GenericBaseItem $returnAir1 = null, \StructType\GenericBaseItem $returnAir2 = null, \StructType\GenericBaseItem $returnAir3 = null, \StructType\GenericBaseItem $returnAir4 = null, \StructType\GenericBaseItem $setPoint1 = null, \StructType\GenericBaseItem $setPoint2 = null, \StructType\GenericBaseItem $setPoint3 = null, \StructType\GenericBaseItem $setPoint4 = null, \StructType\GenericBaseItem $supplyAir1 = null, \StructType\GenericBaseItem $supplyAir2 = null, \StructType\GenericBaseItem $supplyAir3 = null, \StructType\GenericBaseItem $supplyAir4 = null, \StructType\GenericBaseItem $sensor1 = null, \StructType\GenericBaseItem $sensor2 = null, \StructType\GenericBaseItem $sensor3 = null, \StructType\GenericBaseItem $sensor4 = null, \StructType\GenericBaseItem $sensor5 = null, \StructType\GenericBaseItem $sensor6 = null, \StructType\GenericBaseItem $ambientSensor = null, \StructType\GenericBaseItem $evaporator1 = null, \StructType\GenericBaseItem $evaporator2 = null, \StructType\GenericBaseItem $evaporator3 = null, \StructType\GenericBaseItem $evaporator4 = null)
    {
        $this
            ->setReturnAir1($returnAir1)
            ->setReturnAir2($returnAir2)
            ->setReturnAir3($returnAir3)
            ->setReturnAir4($returnAir4)
            ->setSetPoint1($setPoint1)
            ->setSetPoint2($setPoint2)
            ->setSetPoint3($setPoint3)
            ->setSetPoint4($setPoint4)
            ->setSupplyAir1($supplyAir1)
            ->setSupplyAir2($supplyAir2)
            ->setSupplyAir3($supplyAir3)
            ->setSupplyAir4($supplyAir4)
            ->setSensor1($sensor1)
            ->setSensor2($sensor2)
            ->setSensor3($sensor3)
            ->setSensor4($sensor4)
            ->setSensor5($sensor5)
            ->setSensor6($sensor6)
            ->setAmbientSensor($ambientSensor)
            ->setEvaporator1($evaporator1)
            ->setEvaporator2($evaporator2)
            ->setEvaporator3($evaporator3)
            ->setEvaporator4($evaporator4);
    }
    /**
     * Get ReturnAir1 value
     * @return \StructType\GenericBaseItem|null
     */
    public function getReturnAir1()
    {
        return $this->ReturnAir1;
    }
    /**
     * Set ReturnAir1 value
     * @param \StructType\GenericBaseItem $returnAir1
     * @return \StructType\TemperatureObject
     */
    public function setReturnAir1(\StructType\GenericBaseItem $returnAir1 = null)
    {
        $this->ReturnAir1 = $returnAir1;
        return $this;
    }
    /**
     * Get ReturnAir2 value
     * @return \StructType\GenericBaseItem|null
     */
    public function getReturnAir2()
    {
        return $this->ReturnAir2;
    }
    /**
     * Set ReturnAir2 value
     * @param \StructType\GenericBaseItem $returnAir2
     * @return \StructType\TemperatureObject
     */
    public function setReturnAir2(\StructType\GenericBaseItem $returnAir2 = null)
    {
        $this->ReturnAir2 = $returnAir2;
        return $this;
    }
    /**
     * Get ReturnAir3 value
     * @return \StructType\GenericBaseItem|null
     */
    public function getReturnAir3()
    {
        return $this->ReturnAir3;
    }
    /**
     * Set ReturnAir3 value
     * @param \StructType\GenericBaseItem $returnAir3
     * @return \StructType\TemperatureObject
     */
    public function setReturnAir3(\StructType\GenericBaseItem $returnAir3 = null)
    {
        $this->ReturnAir3 = $returnAir3;
        return $this;
    }
    /**
     * Get ReturnAir4 value
     * @return \StructType\GenericBaseItem|null
     */
    public function getReturnAir4()
    {
        return $this->ReturnAir4;
    }
    /**
     * Set ReturnAir4 value
     * @param \StructType\GenericBaseItem $returnAir4
     * @return \StructType\TemperatureObject
     */
    public function setReturnAir4(\StructType\GenericBaseItem $returnAir4 = null)
    {
        $this->ReturnAir4 = $returnAir4;
        return $this;
    }
    /**
     * Get SetPoint1 value
     * @return \StructType\GenericBaseItem|null
     */
    public function getSetPoint1()
    {
        return $this->SetPoint1;
    }
    /**
     * Set SetPoint1 value
     * @param \StructType\GenericBaseItem $setPoint1
     * @return \StructType\TemperatureObject
     */
    public function setSetPoint1(\StructType\GenericBaseItem $setPoint1 = null)
    {
        $this->SetPoint1 = $setPoint1;
        return $this;
    }
    /**
     * Get SetPoint2 value
     * @return \StructType\GenericBaseItem|null
     */
    public function getSetPoint2()
    {
        return $this->SetPoint2;
    }
    /**
     * Set SetPoint2 value
     * @param \StructType\GenericBaseItem $setPoint2
     * @return \StructType\TemperatureObject
     */
    public function setSetPoint2(\StructType\GenericBaseItem $setPoint2 = null)
    {
        $this->SetPoint2 = $setPoint2;
        return $this;
    }
    /**
     * Get SetPoint3 value
     * @return \StructType\GenericBaseItem|null
     */
    public function getSetPoint3()
    {
        return $this->SetPoint3;
    }
    /**
     * Set SetPoint3 value
     * @param \StructType\GenericBaseItem $setPoint3
     * @return \StructType\TemperatureObject
     */
    public function setSetPoint3(\StructType\GenericBaseItem $setPoint3 = null)
    {
        $this->SetPoint3 = $setPoint3;
        return $this;
    }
    /**
     * Get SetPoint4 value
     * @return \StructType\GenericBaseItem|null
     */
    public function getSetPoint4()
    {
        return $this->SetPoint4;
    }
    /**
     * Set SetPoint4 value
     * @param \StructType\GenericBaseItem $setPoint4
     * @return \StructType\TemperatureObject
     */
    public function setSetPoint4(\StructType\GenericBaseItem $setPoint4 = null)
    {
        $this->SetPoint4 = $setPoint4;
        return $this;
    }
    /**
     * Get SupplyAir1 value
     * @return \StructType\GenericBaseItem|null
     */
    public function getSupplyAir1()
    {
        return $this->SupplyAir1;
    }
    /**
     * Set SupplyAir1 value
     * @param \StructType\GenericBaseItem $supplyAir1
     * @return \StructType\TemperatureObject
     */
    public function setSupplyAir1(\StructType\GenericBaseItem $supplyAir1 = null)
    {
        $this->SupplyAir1 = $supplyAir1;
        return $this;
    }
    /**
     * Get SupplyAir2 value
     * @return \StructType\GenericBaseItem|null
     */
    public function getSupplyAir2()
    {
        return $this->SupplyAir2;
    }
    /**
     * Set SupplyAir2 value
     * @param \StructType\GenericBaseItem $supplyAir2
     * @return \StructType\TemperatureObject
     */
    public function setSupplyAir2(\StructType\GenericBaseItem $supplyAir2 = null)
    {
        $this->SupplyAir2 = $supplyAir2;
        return $this;
    }
    /**
     * Get SupplyAir3 value
     * @return \StructType\GenericBaseItem|null
     */
    public function getSupplyAir3()
    {
        return $this->SupplyAir3;
    }
    /**
     * Set SupplyAir3 value
     * @param \StructType\GenericBaseItem $supplyAir3
     * @return \StructType\TemperatureObject
     */
    public function setSupplyAir3(\StructType\GenericBaseItem $supplyAir3 = null)
    {
        $this->SupplyAir3 = $supplyAir3;
        return $this;
    }
    /**
     * Get SupplyAir4 value
     * @return \StructType\GenericBaseItem|null
     */
    public function getSupplyAir4()
    {
        return $this->SupplyAir4;
    }
    /**
     * Set SupplyAir4 value
     * @param \StructType\GenericBaseItem $supplyAir4
     * @return \StructType\TemperatureObject
     */
    public function setSupplyAir4(\StructType\GenericBaseItem $supplyAir4 = null)
    {
        $this->SupplyAir4 = $supplyAir4;
        return $this;
    }
    /**
     * Get Sensor1 value
     * @return \StructType\GenericBaseItem|null
     */
    public function getSensor1()
    {
        return $this->Sensor1;
    }
    /**
     * Set Sensor1 value
     * @param \StructType\GenericBaseItem $sensor1
     * @return \StructType\TemperatureObject
     */
    public function setSensor1(\StructType\GenericBaseItem $sensor1 = null)
    {
        $this->Sensor1 = $sensor1;
        return $this;
    }
    /**
     * Get Sensor2 value
     * @return \StructType\GenericBaseItem|null
     */
    public function getSensor2()
    {
        return $this->Sensor2;
    }
    /**
     * Set Sensor2 value
     * @param \StructType\GenericBaseItem $sensor2
     * @return \StructType\TemperatureObject
     */
    public function setSensor2(\StructType\GenericBaseItem $sensor2 = null)
    {
        $this->Sensor2 = $sensor2;
        return $this;
    }
    /**
     * Get Sensor3 value
     * @return \StructType\GenericBaseItem|null
     */
    public function getSensor3()
    {
        return $this->Sensor3;
    }
    /**
     * Set Sensor3 value
     * @param \StructType\GenericBaseItem $sensor3
     * @return \StructType\TemperatureObject
     */
    public function setSensor3(\StructType\GenericBaseItem $sensor3 = null)
    {
        $this->Sensor3 = $sensor3;
        return $this;
    }
    /**
     * Get Sensor4 value
     * @return \StructType\GenericBaseItem|null
     */
    public function getSensor4()
    {
        return $this->Sensor4;
    }
    /**
     * Set Sensor4 value
     * @param \StructType\GenericBaseItem $sensor4
     * @return \StructType\TemperatureObject
     */
    public function setSensor4(\StructType\GenericBaseItem $sensor4 = null)
    {
        $this->Sensor4 = $sensor4;
        return $this;
    }
    /**
     * Get Sensor5 value
     * @return \StructType\GenericBaseItem|null
     */
    public function getSensor5()
    {
        return $this->Sensor5;
    }
    /**
     * Set Sensor5 value
     * @param \StructType\GenericBaseItem $sensor5
     * @return \StructType\TemperatureObject
     */
    public function setSensor5(\StructType\GenericBaseItem $sensor5 = null)
    {
        $this->Sensor5 = $sensor5;
        return $this;
    }
    /**
     * Get Sensor6 value
     * @return \StructType\GenericBaseItem|null
     */
    public function getSensor6()
    {
        return $this->Sensor6;
    }
    /**
     * Set Sensor6 value
     * @param \StructType\GenericBaseItem $sensor6
     * @return \StructType\TemperatureObject
     */
    public function setSensor6(\StructType\GenericBaseItem $sensor6 = null)
    {
        $this->Sensor6 = $sensor6;
        return $this;
    }
    /**
     * Get AmbientSensor value
     * @return \StructType\GenericBaseItem|null
     */
    public function getAmbientSensor()
    {
        return $this->AmbientSensor;
    }
    /**
     * Set AmbientSensor value
     * @param \StructType\GenericBaseItem $ambientSensor
     * @return \StructType\TemperatureObject
     */
    public function setAmbientSensor(\StructType\GenericBaseItem $ambientSensor = null)
    {
        $this->AmbientSensor = $ambientSensor;
        return $this;
    }
    /**
     * Get Evaporator1 value
     * @return \StructType\GenericBaseItem|null
     */
    public function getEvaporator1()
    {
        return $this->Evaporator1;
    }
    /**
     * Set Evaporator1 value
     * @param \StructType\GenericBaseItem $evaporator1
     * @return \StructType\TemperatureObject
     */
    public function setEvaporator1(\StructType\GenericBaseItem $evaporator1 = null)
    {
        $this->Evaporator1 = $evaporator1;
        return $this;
    }
    /**
     * Get Evaporator2 value
     * @return \StructType\GenericBaseItem|null
     */
    public function getEvaporator2()
    {
        return $this->Evaporator2;
    }
    /**
     * Set Evaporator2 value
     * @param \StructType\GenericBaseItem $evaporator2
     * @return \StructType\TemperatureObject
     */
    public function setEvaporator2(\StructType\GenericBaseItem $evaporator2 = null)
    {
        $this->Evaporator2 = $evaporator2;
        return $this;
    }
    /**
     * Get Evaporator3 value
     * @return \StructType\GenericBaseItem|null
     */
    public function getEvaporator3()
    {
        return $this->Evaporator3;
    }
    /**
     * Set Evaporator3 value
     * @param \StructType\GenericBaseItem $evaporator3
     * @return \StructType\TemperatureObject
     */
    public function setEvaporator3(\StructType\GenericBaseItem $evaporator3 = null)
    {
        $this->Evaporator3 = $evaporator3;
        return $this;
    }
    /**
     * Get Evaporator4 value
     * @return \StructType\GenericBaseItem|null
     */
    public function getEvaporator4()
    {
        return $this->Evaporator4;
    }
    /**
     * Set Evaporator4 value
     * @param \StructType\GenericBaseItem $evaporator4
     * @return \StructType\TemperatureObject
     */
    public function setEvaporator4(\StructType\GenericBaseItem $evaporator4 = null)
    {
        $this->Evaporator4 = $evaporator4;
        return $this;
    }
}
